LINUX.ORG.RU

Вышла новая версия Geany

 , ,


0

2

18 июня разработчики представили новую версию легковесного редактора Geany — 1.22.

Некоторые из изменений:

  • Переделана поддержка тем. Старые темы и файлы для подсветки синтаксиса не совместимы с новой версией редактора.
  • Обновлен движок редактирования Scintilla до версии 2.29.
  • Полная поддержка PCRE-совместимых регулярных выражений для поиска и замены.
  • Добавлена поддержка синтаксиса для Objective-C от Elias Pschernig.
  • Возможность открытия сессии по умолчанию (если активирована соответствующая опция).
  • Исправлены ошибки в распознавании неформатированных строк (raw strings) в C/C++.
  • Улучшена поддержка встраиваемых в HTML типов данных.
  • Добавлены следующие переводы: арабский, индонезийский, литовский, монгольский, новонорвежский, словацкий.
  • Обновлены переводы.

Детальный список изменений можно прочитать в примечании к выпуску.

Изменение версии
Много пользователей обращало внимание разработчиков на то, что по их мнению номер версии не соответствует зрелости проекта. После непродолжительной дискуссии они решили переименовать версию 0.22 в 1.22.

Скачать

>>> Подробности

★★★★★

Проверено: post-factum ()

Ответ на: комментарий от Vudod

Раньше это называлось, если память не изменяет, Риксмол в противоположность «датскому» Букмолу.

Наоборот. Riksmål это устаревший bokmål.

anonymous ()

Переделана поддержка тем. Старые темы и файлы для подсветки синтаксиса не совместимы с новой версией редактора.

поддержка

не совместимы

Оукей...

anonymous ()

У меня в бете так память текла, что я перелез с нее на имакс.

cdshines ★★★★ ()
Ответ на: комментарий от Reset

Я позавчера кеды поставил, увидел разницу, пожалуй, двачну.

cdshines ★★★★ ()

Добавлена поддержка синтаксиса для Objective-C

Клево.

renya ★★★★★ ()

Это чё за редактор? Еще один велосипед из руды?

Bioreactor ★★★★★ ()
Ответ на: комментарий от anonymous

Вот такие вот у нас теперь быдлокодеры! Похоже, Geany разрабатывают те же индусы, которые GTK ломают. Да и ядро тоже неплохо поломали: попробуй-ка модуль от ведра 2.2 скомпилить на 3.4…

Eddy_Em ☆☆☆☆☆ ()

файлы для подсветки синтаксиса не совместимы с новой версией редактора

по их мнению номер версии не соответствует зрелости проекта

зрелый проект, чо

rsync ★★ ()

Напрягает неумение нормально автоматически закрывать кавычки и скобочки. А так хороший редактор.

Wizard_ ★★★★★ ()

хм, я а думал что они уже достигли совершенства и заморозили разработку...

firsttimeuser ★★★★★ ()

Кстати, не его ли разработчики недавно выдохлись, о чем и прямо сообщили?

Gunnerua ()

Кодировку файла можно менять после открытия?

Deleted ()
Ответ на: комментарий от Deleted

можно. В пункте меню «Документ». Там же и переносы строк

Guerin ()

Чем это «не нужно» лучше SciTE?

anonymous ()

По сравнению с емаксом — нечто неюзабельное. Ощущение какой-то топорности и кастрированности от использования сего поделия.

Bad_ptr ★★★★ ()
Ответ на: комментарий от Reset

Не работает, но kdelibs+qt это нормальный _настраиваемый_ внешний вид + человеческие файловые диалоги.

и лютое тормозилово

Deleted ()
Ответ на: комментарий от Guerin

Не поменять кодировку самого файла, поменять кодировку отображения файла.

Кодирование и декодирование это разные операции.

anonymous ()
Ответ на: комментарий от Debasher

куда лучше чем неюзабельные vim и emacs

vim и emacs вообще наркоманы придумали

Deleted ()

он же говорил что добавить ему больше нечего.

splinter ★★★★★ ()
Ответ на: комментарий от Bioreactor

Да, теперь Xcode - кирдык!

Лол, реально! Как и iPad после презентации планшета от M$. :D

renya ★★★★★ ()
Ответ на: комментарий от post-factum

Ну, а говорили, что всё сделали, и развиваться уже некуда.

а тем временем, плагина автокомплита на clang ещё нету...

Bad_ptr ★★★★ ()
Ответ на: комментарий от vazgen05

Я наверное так же никогда не пойму, зачем писать gemi или как вы это гавно там называете когда есть vim.

По анологии тех времён когда писали dos когда уже был unix.

paranormal ★★ ()
Ответ на: комментарий от Deleted

После 3 месяцев в textmate я нернулся к vim.

Думаю тот факт что mate делали не наркоманы, и он действительно удобный, сомнения не вызывает.

paranormal ★★ ()
Ответ на: комментарий от metar

Просто для другой раскладки у меня другой набор хоткеев

AiFiLTr0 ★★★★★ ()

Переделана поддержка тем.

Крутое изменение.

Старые темы и файлы для подсветки синтаксиса не совместимы с новой версией редактора.

Все ради этого?

AVL2 ★★★★★ ()
Ответ на: комментарий от Vudod

В kate не хватает горячих клавиш запуска, приходится мышью елозить в коммандную строку, что не удобно.

А что, хоткеи Focus Terminal (не назначенный по умолчанию) в Kate уже не работает?

metar ★★★ ()

а в нём можно будет включить сворачивание блоков только по крестикам в начале блока? а то текущий механизм как-то немного напрягает

mm3 ★★★ ()
Ответ на: комментарий от anonymous

в емакс 24 уже фсё работает. с разморозкой!

Добро пожаловать в реальный мир версионных дистров.

В 24 на самом деле это как-то решили?

metar ★★★ ()

скажите, а оно подходит для Verilog? а то я упарился с убогими встроенными редакторами, хочу внешний

пока что kate юзаю, но оно увы не совсем понимает Verilog, строки не переносит и это огорчает

итак, годится ли Geany для Verilog?

I-Love-Microsoft ★★★★★ ()
Ответ на: комментарий от Eddy_Em

модуль от ведра 2.2 скомпилить на 3.4…

бдык это основная «фича» линакс-софта. тотальная несовместимость — основа линаксовой идеологии.

thunar ★★★★★ ()
Ответ на: комментарий от Debasher

[вброс]куда лучше чем неюзабельные vim и emacs[/вброс]

торвальдс с аватары какбэ с тобой несогласен

vvviperrr ★★★★★ ()
Ответ на: комментарий от thunar

Я из-за этой «фичи» в те редкие моменты, когда мне в руки попадает древняя железяка, которую надо прикрутить к современной системе, очень часто вспоминаю родственников этих разработчиков…

Eddy_Em ☆☆☆☆☆ ()

мой любимый редактор. С версией они конечно запутали. Для тех, кому лень компилировать собрал deb пакет под squeeze. Архитектура amd64.

Установится в /usr/local.

insider ★★★ ()
Ответ на: комментарий от paranormal

vim и emacs вообще наркоманы придумали

После 3 месяцев в textmate я нернулся к vim.

paranormal

anonymous ()

В него же компиляторы не вкомпилены, при компиляции он просто пищит и ничего не делает и не показывает, терминал некрасивый и в него нельзя посмотреть в любой момент а в остально хороший редактор, да, пилите ещё.

Napilnik ★★★★★ ()

Честно говоря ожидал большего - столько времени прошло, о багах немало баллад спето. А судя по ченджлогу даже обновляться смысла нет, разве что полезны функции PCRE.

Самая ожидаемая мной фича в Geany - сканирование - подтягивать все include'ы и файлы текущего проекта чтобы искать в них определения.

RPG ()

Не нужно, убогий редактор, почти ничего не умеет.

z00ke ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.